Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class DevelopmentResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.codehaus.groovy.grails.support.DevelopmentResourceLoader

    public class DevelopmentResourceLoader
    extends DefaultResourceLoader

Allows files references like /WEB-INF/grails-app to be loaded from ./grails-app to support the difference between wAR deployment and run-app.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`DevelopmentResourceLoader(GrailsApplication application)`
`DevelopmentResourceLoader()`
`DevelopmentResourceLoader(GrailsApplication application, java.lang.String baseLocation)`

Method Summary
`protected java.lang.String` | `getRealLocationInProject(java.lang.String location)` Retrieves the real location of a GSP within a Grails project.
`Resource` | `getResource(java.lang.String location)`

Constructor Detail

### DevelopmentResourceLoader

    public DevelopmentResourceLoader(@SuppressWarnings("unused") GrailsApplication application)

### DevelopmentResourceLoader

    public DevelopmentResourceLoader()

### DevelopmentResourceLoader

    public DevelopmentResourceLoader(GrailsApplication application, java.lang.String baseLocation)

Method Detail

### getRealLocationInProject

    protected java.lang.String getRealLocationInProject(java.lang.String location)

  Retrieves the real location of a GSP within a Grails project.
  Parameters:
    `location` - The location of the GSP at deployment time
  Returns:
    The location of the GSP at development time

### getResource

    @Override
    public Resource getResource(java.lang.String location)

Groovy Documentation